CentOS 8 : container-tools:2.0 (CESA-2021:4221)

medium Nessus Plugin ID 155344

Synopsis

The remote CentOS host is missing a security update.

Description

The remote CentOS Linux 8 host has packages installed that are affected by a vulnerability as referenced in the CESA-2021:4221 advisory.

- buildah: Host environment variables leaked in build container when using chroot isolation (CVE-2021-3602)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://access.redhat.com/errata/RHSA-2021:4221

Plugin Details

Severity: Medium

ID: 155344

File Name: centos8_RHSA-2021-4221.nasl

Version: 1.3

Type: local

Agent: unix

Published: 11/13/2021

Updated: 3/11/2022

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent

Risk Information

CVSS Score Source: CVE-2021-3602

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Low

Base Score: 1.9

Temporal Score: 1.4

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 5.5

Temporal Score: 4.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:2.3:a:centos:centos:runc:*:*:*:*:*:*:*, cpe:2.3:o:centos:centos:8:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:buildah:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:container-selinux:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:containernetworking-plugins:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:containers-common:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:fuse-overlayfs:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:podman:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:podman-docker:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:skopeo:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:slirp4netns:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:buildah-tests:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:cockpit-podman:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:conmon:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:podman-remote:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:podman-tests:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:python-podman-api:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:skopeo-tests:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:toolbox:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:udica:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:crit:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:criu:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:python3-criu:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/CentOS/release, Host/CentOS/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 11/9/2021

Vulnerability Publication Date: 11/9/2021

Reference Information

CVE: CVE-2021-3602

RHSA: 2021:4221